// CCLTestServer_impl.h : Declaration of the CCCLTestServer

#ifndef __CCLTESTSERVER_H_
#define __CCLTESTSERVER_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CCCLTestServer
class ATL_NO_VTABLE CCCLTestServer : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CCCLTestServer, &CLSID_CCLTestServer>,
	public ISupportErrorInfo,
	public IDispatchImpl<ICCLTestServer, &IID_ICCLTestServer, &LIBID_CCLTESTSERVERLib>
{
public:
	CCCLTestServer()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_CCLTESTSERVER)

BEGIN_COM_MAP(CCCLTestServer)
	COM_INTERFACE_ENTRY(ICCLTestServer)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// ICCLTestServer
public:
	STDMETHOD(askForAComplexMap)(/*[out,retval]*/ IDispatch** map);
	STDMETHOD(askForAMap)(/*[out,retval]*/ IDispatch ** map);
	STDMETHOD(askForAVector)(/*[out,retval]*/ IDispatch ** vector);
};

#endif //__CCLTESTSERVER_H_
